Download it now!
Bug 117259 - Visual indicator of open tab in Tabbed bar inspired in Quantum theme from Firefox
Summary: Visual indicator of open tab in Tabbed bar inspired in Quantum theme from Fir...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Notebookbar-Tabbed
  Show dependency treegraph
 
Reported: 2018-04-26 17:42 UTC by Pedro
Modified: 2018-04-28 05:34 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Colored highlight in Writer/Calc/Impress active tab (467.38 KB, image/png)
2018-04-26 17:42 UTC, Pedro
Details
Alternative 2 (886.85 KB, image/png)
2018-04-27 10:02 UTC, Pedro
Details
Alternative 3 (893.78 KB, image/png)
2018-04-27 10:02 UTC, Pedro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2018-04-26 17:42:50 UTC
Created attachment 141657 [details]
Colored highlight in Writer/Calc/Impress active tab

This is just a small aesthetic suggestion now that Andreas is nearly done with the tabbed bar.
If we look at the Quantum theme from Firefox, the active tab has a thin blue line on the top to highlight that it is the active one.
I was wondering if it's possible to implement a similar highlight in the active tabs of the Tabbed bar, with the dominant color of the icon of each of the models.
So a blue line in Writer, a green line in calc and an orange/brown line in Impress.

It would be a subtle way to include a bit of visual flair to each of the modules.

I included a mock-up image to show what I am describing.
Comment 1 V Stuart Foote 2018-04-26 22:31:15 UTC
Seems reasonable if the color decoration can be applied to the "Tab" widget... => NEW
Comment 2 Heiko Tietze 2018-04-27 06:02:31 UTC
Such decoration violates the way LibreOffice does system integration (in contrast to Mozilla). Some themes have a (blue) indicator for active tabs like proposed. So what we can do is to tweak the generic VCL plugin, which no one uses. => WF, unfortunately

Making gen plugin shiny would be nice, see bug 106756.
Comment 3 Pedro 2018-04-27 09:33:23 UTC
So it's not possible to add such an indicator in the active tab of the tabbed bar and respect the DE theme then?
I would assume that it was possible to add a color highlight that would be present in the active tab even if said tab would respect the client decoration.
Comment 4 Pedro 2018-04-27 10:02:19 UTC
Created attachment 141698 [details]
Alternative 2
Comment 5 Pedro 2018-04-27 10:02:38 UTC
Created attachment 141699 [details]
Alternative 3
Comment 6 Heiko Tietze 2018-04-28 05:34:50 UTC
(In reply to Pedro from comment #4)
> Alternative 2
> Alternative 3

May work but contains no useful information and adds color clutter. Wouldn't do that either, at least #3.